# $Id: Makefile.in,v 1.3 2000/10/13 04:53:11 m-hirano Exp $
# $RWC_Release: Omni-1.6 $
# $RWC_Copyright:
#  Omni Compiler Software Version 1.5-1.6
#  Copyright (C) 2002 PC Cluster Consortium
#  
#  This software is free software; you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License version
#  2.1 published by the Free Software Foundation.
#  
#  Omni Compiler Software Version 1.0-1.4
#  Copyright (C) 1999, 2000, 2001.
#   Tsukuba Research Center, Real World Computing Partnership, Japan.
#  
#  Please check the Copyright and License information in the files named
#  COPYRIGHT and LICENSE under the top  directory of the Omni Compiler
#  Software release kit.
#  
#  
#  $


#
# Makefile for Laplace
#

prefix		=	$${OMNI_HOME:=@orgPrefix@}
exec_prefix     =       @orgExec_prefix@

OMFC		=	${prefix}/bin/omf77
FC		=	${OMFC} -omp

LDLIBS		=	-lm 


PROGRAM = lap-omp lap-seq

all: $(PROGRAM)

lap-omp: lap.f
	$(OMFC) $(FFLAGS) -o lap-omp lap.f $(LDLIBS)

lap-seq: lap.f
	$(FC) $(FFLAGS) -o lap-seq lap.f $(LDLIBS)

clean:
	rm -f $(PROGRAM) *.o

distclean:	clean
	true

